function newPlayer(n, i)
  local image = love.graphics.newImage('img/player' .. n .. '.png')
  local player = newAnimatedEntity(image, (board.getFile(i)-1) * g_tilewidth, (board.getRank(i)-1) * g_tileheight, g_tilewidth, g_tileheight)

  player.addAnimation('idle', 0.2)
  player.addFrames('idle', 0, 0, 5)
  
  player.addAnimation('selecting', 0.4)
  player.addFrames('selecting', 0, 32, 4)

  player.addAnimation('running', 0.1)
  player.addFrames('running', 0, 64, 2)
  
  player.addAnimation('win', 0.25)
  player.addFrames('win', 0, 96, 2)
  
  player.addAnimation('lose', 0.5)
  player.addFrames('lose', 0, 128, 2)
  
  player.setAnimation('idle')

  player.index = i
  player.moves = {}
  
  player.ai = false
  
  return player
end

function newSlider(i)
  local slider = newAnimatedEntity(g_image, (board.getFile(i)-1) * g_tilewidth, (board.getRank(i)-1) * g_tileheight,g_tilewidth, g_tileheight)
  
  slider.addAnimation('idle', 0)
  slider.addFrames('idle', 0, 31, 1)
  
  slider.addAnimation('active', 0.15)
  slider.addFrames('active', 0, 62, 4)

  slider.setAnimation('idle')

  slider.index = i

  return slider
end
