state_gameover = newState()

local sound = love.audio.newSource('sfx/gameover.wav', 'static')
local menu

function state_gameover.load()
  menu = newMenu(g_font, 2, {textcolor = {1,1,1}, buttoncolor = {50/255, 50/255, 220/255, 50/255}, roundx = 2, roundy = 2})
  menu.addButton('Rematch', screen.width / 2, 80, function() board.reset() state_machine.change(state_play) end)
  menu.addButton('Quit', screen.width / 2, 145, function() state_machine.change(state_title) end)
  menu.selected_index = 1

  for i, v in pairs(board.players) do v.setAnimation(v.index == board.goal and 'win' or 'lose') end
  for i, v in pairs(board.sliders) do v.setAnimation('idle') end
  board.draw_moves = false
  sound:play()
end

function state_gameover.draw()
 menu.draw()
end

function state_gameover.keypressed(key)
  if key == 'return' or key == 'space' then
    menu.button_press()
  else
    menu.cycle_down()
  end
end

function state_gameover.keyreleased(key)
  if key == 'return' or key == 'space' then menu.button_release() end
end
