local Menu = require 'lib/menu'

state_selectboard = newState()

local options = 
{ { rep = 'SSRRRS1' ..
          'SRRRRRS' ..
          'RRRRRRR' ..
          'RRRGRRR' ..
          'RRRRRRR' ..
          'SRRRRRS' ..
          '2SRRRSS',
    files = 7,
    ranks = 7
  },
  {
    rep = 'SRSRSR2' ..
          'RRRRRRR' ..
          'SRRRRRS' ..
          'RRRGRRR' ..
          'SRRRRRS' ..
          'RRRRRRR' ..
          '1RSRSRS',
    files = 7,
    ranks = 7
  },
  {
    rep = 'RSRRRSR' ..
          'SSRRR1S' ..
          'RRRRRRR' ..
          'RRRGRRR' ..
          'RRRRRRR' ..
          'S2RRRSS' ..
          'RSRRRSR',
    files = 7,
    ranks = 7
  },
  {
    rep = '  SRRRS  ' ..
          ' 2RRRRS3 ' ..
          'SSRRRRRRS' ..
          'RRRRRRRRR' ..
          'RRRRGRRRR' ..
          'RRRRRRRRR' ..
          'SRRRRRRSS' ..
          ' 1SRRRR4 ' ..
          '  SRRRS  ',
    files = 9,
    ranks = 9
  },
  { rep = '3SRRRS1' ..
          'SRRRRRS' ..
          'RRRRRRR' ..
          'RRRGRRR' ..
          'RRRRRRR' ..
          'SRRRRRS' ..
          '2SRRRS4',
    files = 7,
    ranks = 7
  },
  {
    rep = '3RSRSR2' ..
          'RRRRRRR' ..
          'SRRRRRS' ..
          'RRRGRRR' ..
          'SRRRRRS' ..
          'RRRRRRR' ..
          '1RSRSR4',
    files = 7,
    ranks = 7
  },
  {
    rep = 'RSRRRSR' ..
          'S3RRR1S' ..
          'RRRRRRR' ..
          'RRRGRRR' ..
          'RRRRRRR' ..
          'S2RRR4S' ..
          'RSRRRSR',
    files = 7,
    ranks = 7
  },
  {
    rep = 'RRR1RRRRRRRRGRRR',
    files = 4,
    ranks = 4
  }
}
local option, img, buttons, font

local function selectPrevious()
  option = option == 1 and #options or option - 1
  board.load(options[option].files, options[option].ranks, options[option].rep)
end
local function selectNext()
  option = option == #options and 1 or option + 1
  board.load(options[option].files, options[option].ranks, options[option].rep)
end

function state_selectboard.load()
  img = love.graphics.newImage('img/selectboard.png')
  buttons = {
    newAnimatedEntity(img, 0, screen.height / 2 - 15, g_tilewidth, g_tileheight),
    newAnimatedEntity(img, screen.width - g_tilewidth, screen.height / 2 - 15, g_tilewidth, g_tileheight)
  }
  buttons[1].addAnimation('active', 0.1)  buttons[2].addAnimation('active', 0.1)
  buttons[1].addFrames('active', 0, 0, 5) buttons[2].addFrames('active', 0, 31, 5)
  buttons[1].setAnimation('active')       buttons[2].setAnimation('active')
  
  font = love.graphics.newFont('font/round pop.ttf', 16, 'mono')

  option = 1
  board.load(options[option].files, options[option].ranks, options[option].rep)
end

function state_selectboard.update(dt)
  buttons[1].updateAnimation(dt)
  buttons[2].updateAnimation(dt)
end

function state_selectboard.draw()
  buttons[1].draw()
  buttons[2].draw()
  
  love.graphics.setFont(font)
  love.graphics.setColor(220/255, 200/255, 80/255)
  love.graphics.printf('Select\nBoard', 0, 50, screen.width, 'center')
end

function state_selectboard.keypressed(key)
  if key == 'right' or key == 'down' then
    selectNext()
  elseif key == 'left' or key == 'up' then
    selectPrevious()
  elseif key == 'return' then
    state_machine.push(state_selectplayers)
  elseif key == 'escape' then
    state_machine.change(state_title)
  end
end
