state_selectplayers = newState()

local start_x, start_y, players, font, selected

function state_selectplayers.load()
  start_x = screen.width / 2 - (#board.players * g_tilewidth) / 2
  start_y = screen.height / 2 - g_tileheight / 2

  font = love.graphics.newFont(8, 'mono')
  font:setFilter('nearest', 'nearest')

  players = {}
  for i = 1, #board.players do
    local image = love.graphics.newImage('img/player' .. i .. '.png')
    local player = newAnimatedEntity(image, start_x + ((i-1)*g_tilewidth), start_y, g_tilewidth, g_tileheight)
    player.addAnimation('idle', 0.2)
    player.addFrames('idle', 0, 0, 5)
    player.setAnimation('idle')
    player.ai = i > 1
    table.insert(players, player)
  end
  
  selected = 1
end

function state_selectplayers.update(dt)
  for _, v in pairs(players) do v.updateAnimation(dt) end
end

function state_selectplayers.draw()
  love.graphics.setFont(font)

  love.graphics.setColor(0,0,0, 0.7)
  love.graphics.rectangle('fill', 0, 0, screen.width, screen.height)


  for i, v in pairs(players) do
    love.graphics.setColor(selected == i and {1,1,0} or {1,1,1})
    love.graphics.rectangle('line', v.x+1, v.y+1, g_tilewidth-2, g_tileheight-2, 4, 4)
    love.graphics.setColor(1,1,1)
    love.graphics.printf(v.ai and 'AI' or 'Human', v.x, v.y + g_tileheight, g_tilewidth, 'center')
    v.draw()
  end
end

function state_selectplayers.keypressed(key)
  if key == 'left' then
    selected = selected <= 1 and #players or selected - 1
  elseif key == 'right' then
    selected = selected >= #players and 1 or selected + 1
  elseif key == 'up' or key == 'down' or key == 'space' then
    players[selected].ai = not players[selected].ai
  elseif key == 'escape' then
    state_machine.pop()
  elseif key == 'return' then
    for i = 1, #players do
      board.players[i].ai = players[i].ai
    end
    state_machine.change(state_play)
  end
end
