state_title = newState()

local y, font, minifont, menu
local snapy = 2
local speed = 200

function state_title.load(vars)
  y = vars and -100 or snapy
  board.load(7, 7, 'RSSSSSRRSSSSSRRSSSSSRRRRRRRRRRRRRRRRRRRRRRRRRRRRR', 50)
  
  font = love.graphics.newFont('font/round pop.ttf', 45, 'mono')
  
  menu = newMenu(g_font, 2, {textcolor = {1,1,1}, buttoncolor = {50/255, 50/255, 220/255}, roundx = 2, roundy = 2})
  menu.addButton('New Game', screen.width / 2, 120, function() state_machine.change(state_selectboard) end)
  menu.addButton('How to Play', screen.width / 2, 160, function() state_machine.change(state_tutorial) end)
  --menu.addButton('EDITOR', screen.width / 2, 160)
  menu.addButton('Exit', screen.width / 2, 200, function() love.event.quit() end)
  menu.selected_index = 1
end

function state_title.update(dt)
  y = y < snapy and y + speed * dt or snapy
end

function state_title.draw()
  love.graphics.setFont(font)
  love.graphics.printf('Ice\nSlider', 0, y, screen.width, 'center')
  if y == snapy then menu.draw() end
end

function state_title.keypressed(key)
  if y < snapy then y = snapy
  else
    if key == 'up' or key == 'left' then
      menu.cycle_up()
    elseif key == 'down' or key == 'right' then
      menu.cycle_down()
    elseif key == 'return' then
      menu.button_press()
    elseif key == 'escape' then
      love.event.quit()
    end
  end
end

function state_title.keyreleased(key)
  if y == snapy and key == 'return' then menu.button_release() end
end
