state_tutorial = newState()

local rep = '1SS  R2' ..
            'SSS   R' ..
            'RRR   S' ..
            'RRR G S' ..
            'RRR R R' ..
            'RRRRR R' ..
            'RSR RRS'

local font

function state_tutorial.load()
  board.load(7, 7, rep)
  board.turn_counter = 1
  board.checkMoves(board.turn_counter)

  board.draw_moves = true
  board.updateGuiMoves()
  board.players[board.turn_counter].setAnimation('selecting')
  
  font = love.graphics.newFont(12, 'mono')
end

function state_tutorial.draw()
  love.graphics.setFont(font)
  love.graphics.printf('Players take turns sliding towards the goal.', 150, 35, 95, 'left')
end

function state_tutorial.keypressed(key)
  if key == 'up' or key == 'down' or key == 'left' or key == 'right' then
    if board.players[board.turn_counter].moves[key].index > 0 then
      local from  = board.players[board.turn_counter].index
      local to    = board.players[board.turn_counter].moves[key].index
      local slide = board.players[board.turn_counter].moves[key].slide
      state_machine.push(state_moving, {direction = key, from = from, to = to, slide = slide})
    end
  elseif key == 'escape' then
    state_machine.push(state_pause)
  end
end
